// vim: set tw=80 ts=4 sw=4 sts=4:
/*
    This file is part of Accountant.

    Accountant is free software: you can redistribute it and/or modify
    it under the terms of the GNU Affero General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Accountant is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Affero General Public License for more details.

    You should have received a copy of the GNU Affero General Public License
    along with Accountant.  If not, see <http://www.gnu.org/licenses/>.
 */
/* jshint node: true */
'use strict';
var angular = require('angular');

//declare var angular: angular.IAngularStatic;
import { downgradeInjectable } from '@angular/upgrade/static';

var ngResource       = require('angular-resource'),
    ngMessages       = require('angular-messages'),
    ngUiNotification = require('angular-ui-notification'),
    ngStrap          = require('angular-strap');

import { Logger } from '@nsalaun/ng-logger';
import { NgbModal } from '@ng-bootstrap/ng-bootstrap';

var accountsTmpl = require('./accounts.html');

import { AccountBalancesService } from './accountBalances.service';
import { AccountService } from './account.service';
import { AccountComponent } from './account.component';

export default angular.module('accountant.accounts', [
    ngResource,
    ngMessages,
    ngUiNotification,
    ngStrap,
])

    .factory('Logger', downgradeInjectable(Logger))

    .factory('NgbModal', downgradeInjectable(NgbModal))

    .factory('AccountBalancesService', downgradeInjectable(AccountBalancesService))

    .factory('AccountService', downgradeInjectable(AccountService))

    .component('accountList', {
        controller: AccountComponent,
        controllerAs: 'accountsCtrl',
        templateUrl: accountsTmpl
    })

    .name;
